---

# Version of elasticsearch to deploy
es_version: 7.17.0
# root directory
es_root_dir: /opt/elasticsearch
# URL of the archive
es_archive_url: https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-{{ es_version }}-linux-x86_64.tar.gz
# Expected sha512 of the archive
es_archive_sha512: c9c3e2ef237c825c67f8a242a419eb7989b40beeaf399f3e68bdff0f5d62a5d5dcfa832b8e3284778e941f73bc64b8eaa899dad1b1282af65fc3687d7e9d6a4c
# Should ansible handle upgrades or only initial installation ?
es_manage_upgrade: True
# User under which the service will run (will be created)
es_user: elasticsearch
# Name of the Elasticsearch cluster
es_cluster_name: elasticsearch
# Name of this ES node
es_node_name: "{{ inventory_hostname }}"
# Port on which ES will bind
es_port: 9200
# List of IP/CIDR which will have access to es_port (if iptables_manage == True)
es_src_ip: []
# Define Xms / Xmx
es_memory: 1g

